Crystal Space: CS::SndSys::SndSysBasicData Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::SndSys::SndSysBasicData Class Reference

Inheritance diagram for CS::SndSys::SndSysBasicData:

[legend]
List of all members.

## Public Member Functions
virtual iSndSysStream * | CreateStream (csSndSysSoundFormat *pRenderFormat, int Mode3D)=0
| Creates a stream associated with this sound data positioned at the begining of the sound data and initially paused if possible.
virtual size_t | GetDataSize ()=0
| Return the size of the data stored in bytes.
virtual const char * | GetDescription ()
| Retrieve the description associated with this sound data.
virtual const csSndSysSoundFormat * | GetFormat ()
| Get the format of the sound data.
virtual size_t | GetFrameCount ()
| Get size of this sound in frames.
virtual void | SetDescription (const char *pDescription)
| Set an optional description to be associated with this sound data.
## Protected Member Functions
virtual void | Initialize ()=0
| This is required to initialize the m_SampleCount and m_SoundFormat member variables. It is called internally.
## Protected Attributes
bool | m_bInfoReady
| Flag indicating whether Initialize() has been called yet.
size_t | m_FrameCount
| The number of frames in the decoded output.
char * | m_pDescription
| An optional brief description of the sound data.
csSndSysSoundFormat | m_SoundFormat
| The format that we're decoding the Ogg stream to.

## Detailed Description

Definition at line 34 of file snddata.h.

## Member Function Documentation

virtual iSndSysStream* CS::SndSys::SndSysBasicData::CreateStream | ( | csSndSysSoundFormat * | pRenderFormat,
|  | int | Mode3D |
| ) |  |  | `[pure virtual]`

Creates a stream associated with this sound data positioned at the begining of the sound data and initially paused if possible.

virtual size_t CS::SndSys::SndSysBasicData::GetDataSize | ( |  | ) | `[pure virtual]`

Return the size of the data stored in bytes.

This is informational only and is not guaranteed to be a number usable for sound calculations. For example, an audio file compressed with variable rate compression may result in a situation where FILE_SIZE is not equal to SAMPLE_COUNT * SAMPLE_SIZE since SAMPLE_SIZE may vary throughout the audio data.

virtual const char* CS::SndSys::SndSysBasicData::GetDescription | ( |  | ) | `[inline, virtual]`

Retrieve the description associated with this sound data.

Definition at line 87 of file snddata.h.

virtual const csSndSysSoundFormat* CS::SndSys::SndSysBasicData::GetFormat | ( |  | ) | `[virtual]`

Get the format of the sound data.

virtual size_t CS::SndSys::SndSysBasicData::GetFrameCount | ( |  | ) | `[virtual]`

Get size of this sound in frames.

virtual void CS::SndSys::SndSysBasicData::Initialize | ( |  | ) | `[protected, pure virtual]`

This is required to initialize the m_SampleCount and m_SoundFormat member variables. It is called internally.

virtual void CS::SndSys::SndSysBasicData::SetDescription | ( | const char * | pDescription | ) | `[virtual]`

Set an optional description to be associated with this sound data.

## Member Data Documentation

bool CS::SndSys::SndSysBasicData::m_bInfoReady`[protected]`

Flag indicating whether Initialize() has been called yet.

Definition at line 95 of file snddata.h.

size_t CS::SndSys::SndSysBasicData::m_FrameCount`[protected]`

The number of frames in the decoded output.

Definition at line 102 of file snddata.h.

char* CS::SndSys::SndSysBasicData::m_pDescription`[protected]`

An optional brief description of the sound data.

Definition at line 105 of file snddata.h.

csSndSysSoundFormat CS::SndSys::SndSysBasicData::m_SoundFormat`[protected]`

The format that we're decoding the Ogg stream to.

Definition at line 99 of file snddata.h.

The documentation for this class was generated from the following file:

- csplugincommon/sndsys/snddata.h